## librabbitmq 0.0.1.hg216

=== debian/changelog ===
librabbitmq (0.0.1.hg216-1) unstable; urgency=low

  * Initial release. (Closes: #602549)

 -- Monty Taylor <mordred@inaugust.com>  Fri, 05 Nov 2010 11:37:32 -0700
