=== debian/control ===
Source: librabbitmq
Priority: optional
Section: libs
Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: debhelper (>= 7.0.50),
 autoconf,
 automake,
 libtool,
 python-simplejson,
 libpopt-dev,
 xmlto
Standards-Version: 3.9.1
Homepage: http://www.rabbitmq.com/
Vcs-Browser: http://bazaar.launchpad.net/~mordred/librabbitmq/debian/files
Vcs-Bzr: http://bazaar.launchpad.net/~mordred/librabbitmq/debian

Package: librabbitmq-dev
Section: libdevel
Architecture: any
Depends: librabbitmq0 (= ${binary:Version}), ${misc:Depends}
Description: An AMQP client library written in C - Dev Files
 RabbitMQ provides robust messaging for applications. It is easy to use, fit
 for purpose at cloud scale and supported on all major operating systems and
 developer platforms. librabbitmq is a C-language AMQP client library for use
 with AMQP servers such as RabbitMQ speaking protocol versions 0-9-1.
 .
 This package provides the files needed for development.

Package: librabbitmq-dbg
Section: debug
Architecture: any
Priority: extra
Depends: librabbitmq0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: An AMQP client library written in C - Debug Files
 RabbitMQ provides robust messaging for applications. It is easy to use, fit
 for purpose at cloud scale and supported on all major operating systems and
 developer platforms. librabbitmq is a C-language AMQP client library for use
 with AMQP servers such as RabbitMQ speaking protocol versions 0-9-1.
 .
 This package provides debugging symbols.

Package: librabbitmq0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An AMQP client library written in C
 RabbitMQ provides robust messaging for applications. It is easy to use, fit
 for purpose at cloud scale and supported on all major operating systems and
 developer platforms. librabbitmq is a C-language AMQP client library for use
 with AMQP servers such as RabbitMQ speaking protocol versions 0-9-1.
 .
 This package includes the library itself.

Package: amqp-tools
Architecture: any
Section: net
Depends: librabbitmq0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Command-line utilities for interacting with AMQP servers
 RabbitMQ provides robust messaging for applications. It is easy to use, fit
 for purpose at cloud scale and supported on all major operating systems and
 developer platforms. librabbitmq is a C-language AMQP client library for use
 with AMQP servers such as RabbitMQ speaking protocol versions 0-9-1.
 .
 This package includes command line utilities.
