=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
	dh_strip --dbg-package=librabbitmq-dbg

get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..
