=== debian/watch ===
version=3
http://launchpad.net/librabbitmq/+download http://launchpad.net/librabbitmq/.*/librabbitmq-(.*)\.tar\.gz
