## librabbitmq 0.3.0

=== debian/changelog ===
librabbitmq (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Set myself as maintainer.
  * Make package multi-arch.
  * Update to dh 9.
  * Force build with autotools.
  * Bump SONAME to 1 for libmemcached.
  * Bump Standards version to 3.9.4.
  * Use github tags in d/watch.
  * Build manpages from SGML sources.
  * Add dh-autoreconf to B-D.
  * Drop get-orig-source target.
  * Format packaging files with wrap-and-sort.
  * Update Homepage field.
  * Update information and format in d/copyright to DEP5.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 06 Jun 2013 21:22:35 +0200
