=== debian/watch ===
version=3
https://github.com/alanxz/rabbitmq-c/tags \
/alanxz/rabbitmq-c/archive/rabbitmq-c-v([\d\.]+)\.tar\.gz
