=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# vim:set ts=2 sw=2 sts=2 et:
 include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${LIBRABBITMQ_INCLUDE_DIRS} ${POPT_INCLUDE_DIRS})
 
 if (WIN32)
@@ -33,7 +34,7 @@
 target_link_libraries(amqp-delete-queue ${RMQ_LIBRARY_TARGET} ${POPT_LIBRARY})
 
 if (BUILD_TOOLS_DOCS)
-  if (XmlTo_FOUND)
+  if (XMLTO_FOUND)
     set(DOCS_SRCS
       doc/amqp-consume.xml
       doc/amqp-declare-queue.xml
@@ -66,9 +67,9 @@
         )
     endforeach()
 
-  else(XmlTo_FOUND)
+  else(XMLTO_FOUND)
     message(WARNING "xmlto not found, will not build tools documentation")
-  endif(XmlTo_FOUND)
+  endif(XMLTO_FOUND)
 endif()
 
 install(TARGETS amqp-publish amqp-get amqp-consume amqp-declare-queue amqp-delete-queue
