=== debian/changelog ===
librabbitmq (0.4.1-1) unstable; urgency=low

  * Imported Upstream version 0.4.1
  * Add libssl-dev to Build-Depends.
  * Update librabbitmq1.symbols.
  * Switch buildsystem to cmake.
    + Add cmake_multiarch.patch to fix multiarch installation paths for shared
      library files in cmake.
    * Add cmake to Build-Depends.
    * Drop dh-autoreconf from Build-Depends.
  * Format packaging files with wrap-and-sort.
  * Update d/watch file to use github releases instead of tags.
  * Bump Standards version to 3.9.5.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 04 Nov 2013 20:15:55 +0100
