=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Priority: optional
 Section: libs
 Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: cmake,
+               debhelper (>= 9),
+               docbook-to-man,
                libpopt-dev,
+               libssl-dev,
                libtool,
-               python-simplejson,
-               docbook-to-man
-Standards-Version: 3.9.4
+               python-simplejson
+Standards-Version: 3.9.5
 Homepage: https://github.com/alanxz/rabbitmq-c
-Vcs-Browser: http://bazaar.launchpad.net/~mordred/librabbitmq/debian/files
-Vcs-Bzr: http://bazaar.launchpad.net/~mordred/librabbitmq/debian
+Vcs-Git: git://anonscm.debian.org/collab-maint/librabbitmq.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/librabbitmq.git
 
 Package: librabbitmq-dev
 Section: libdevel
