=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with=autoreconf --buildsystem=autoconf
+	dh $@ --buildsystem=cmake
 
 .PHONY: override_dh_strip
 override_dh_strip:
