=== debian/changelog ===
librabbitmq (0.5.2-2+deb8u1) jessie-security; urgency=high

  * CVE-2019-18609: Prevent an integer overflow that can lead to heap memory
    corruption; a rogue server could return a malicious frame header that leads
    to a smaller value than needed. (Closes: #946005)

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Dec 2019 14:40:53 +0000

librabbitmq (0.5.2-2) unstable; urgency=medium

  * Add patch to enable SSL for tools (Closes: #764080).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 17 Oct 2014 08:11:08 +0200

librabbitmq (0.5.2-1) unstable; urgency=medium

  * New upstream release (Closes: #761655).
  * Add patch and lintian-overrides to remove cmake file already included in
    cmake-data package (Closes: 760227).
  * Fix path for m4/ax_python_module.m4 in d/copyright.
  * Move wildcard section to top in d/copyright to fix lintian checks for
    superfluous files.
  * Drop python-simplejson from Build-Depends as there is no rebuild of the AMQP
    frame definitions.
  * Wrap Depends lines.
  * Remove PHONY target declarations.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 16 Sep 2014 14:02:06 +0200

librabbitmq (0.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #758089).
  * Remove amqp_get_server_properties patch as it was included upstream.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 14 Aug 2014 15:27:18 +0200

librabbitmq (0.5.0-1) unstable; urgency=medium

  [ Michael Fladischer ]
  * New upstream release (Closes: #757553).
  * Update librabbitmq1.symbols.
  * Drop cmake_multiarch.patch as it has been included upstream.
  * Add lintian override for missing PGP signature on source tarball.
  * Make package multi-arch capable.

  [ Brian May ]
  * Add missing amqp_get_server_properties symbol. Closes: #757745.

 -- Brian May <bam@debian.org>  Mon, 11 Aug 2014 13:26:37 +1000
