=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Priority: optional
 Section: libs
 Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                docbook-to-man,
                libpopt-dev,
                libssl-dev,
-               libtool,
-               python-simplejson
+               libtool
 Standards-Version: 3.9.5
 Homepage: https://github.com/alanxz/rabbitmq-c
 Vcs-Git: git://anonscm.debian.org/collab-maint/librabbitmq.git
@@ -17,7 +17,9 @@
 Package: librabbitmq-dev
 Section: libdevel
 Architecture: any
-Depends: librabbitmq1 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Depends: librabbitmq1 (= ${binary:Version}),
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: AMQP client library written in C - Dev Files
  RabbitMQ provides robust messaging for applications. It is easy to use, fit
@@ -30,8 +32,12 @@
 Package: librabbitmq-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Priority: extra
-Depends: librabbitmq1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: librabbitmq1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: AMQP client library written in C - Debug Files
  RabbitMQ provides robust messaging for applications. It is easy to use, fit
  for purpose at cloud scale and supported on all major operating systems and
@@ -42,7 +48,9 @@
 
 Package: librabbitmq1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: AMQP client library written in C
  RabbitMQ provides robust messaging for applications. It is easy to use, fit
@@ -55,7 +63,9 @@
 Package: amqp-tools
 Architecture: any
 Section: net
-Depends: librabbitmq1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: librabbitmq1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Command-line utilities for interacting with AMQP servers
  RabbitMQ provides robust messaging for applications. It is easy to use, fit
  for purpose at cloud scale and supported on all major operating systems and
